<?php

/**
 * 测试
 * 2020-4-9 18:02:46
*/
include __DIR__.DS.'Events.php';
require __DIR__ . '/../../../GatewayWorker/vendor/autoload.php';
class workManController extends baseController
{

    public function indexAction(){
        $test = new Events();
        $request = Request::unsetRoute()->all();
        //清空$_SESSION;
        //获取用户的个人信息
        $xin = (new commonModule())->getUserInfoByToken();
//        $tokenArray = unserialize($this->common->decryptByqingmiphp($request['AUTHORIZATION']));
//        $user_info = (new userModule())->getUserInfoByNumber($tokenArray["user_info"]["number"]);
        $data['user_number'] = $xin['number'];
        $arr['user']['user_info'] = $xin;
        $arr['post'] = $_POST;
        $data =  $test->onMessage($_POST['client_id'],$arr);
        $this->common->ajaxReturn($data);
    }
    //判断用户禁言
    public function userOperationAction($usered_number,$time='',$room_number){

    }
}
